summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2016-10-22 19:02:03 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2016-10-22 19:05:40 +0100
commitfbfac7a743603c0114f0d810f396b442dad98d38 (patch)
tree958fcbc24eaa202e94dd33f4f74bae55a48b2c9e /tests/lib
parent52046de403b82e8ef608e62f4cb7ec8c38b10c56 (diff)
Test suite: setup import: Cope with nested and multiple imports
Name the IMPORT file after the setup name. This is important when running under autopkgtest, where all the setups share the tmp directory with each other and with the main test. The setups need distinct IMPORTS. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib9
1 files changed, 5 insertions, 4 deletions
diff --git a/tests/lib b/tests/lib
index 3ddb980..fe8d8fc 100644
--- a/tests/lib
+++ b/tests/lib
@@ -381,7 +381,8 @@ t-setup-done () {
local savedirs=$2
local importeval=$3
- exec 4>$tmp/IMPORT.new
+ local import=IMPORT.${0##*/}
+ exec 4>$tmp/$import.new
local vn
for vn in $savevars; do
@@ -390,11 +391,11 @@ t-setup-done () {
' $vn "$(eval "printf '%s\n' \"\$$vn\"")"
done
- (set -e; cd $tmp; tar cf IMPORT.tar $savedirs)
+ (set -e; cd $tmp; tar cf $import.tar $savedirs)
printf >&4 "\n%s\n" "$importeval"
- mv -f $tmp/IMPORT.new $tmp/IMPORT
+ mv -f $tmp/$import.new $tmp/$import
}
t-setup-import () {
@@ -412,7 +413,7 @@ t-setup-import () {
lock="$setupsrc.lock"
fi
- local simport="$setupsrc/IMPORT"
+ local simport="$setupsrc/IMPORT.$setupname"
if ! [ -e "$simport" ]; then
with-lock-ex -w "$lock" \